Subject: Re: [PATCH net-next v2] net: mana: Improve diagnostic logging for better debuggability

From: Jakub Kicinski <[email-masked]>
Date: Thu, 22 Jan 2026 18:07:45 -0800

On Thu, 22 Jan 2026 09:43:42 -0800 Erni Sri Satya Vennela wrote:
> On Wed, Jan 21, 2026 at 08:14:12PM -0800, Jakub Kicinski wrote:
> > On Tue, 20 Jan 2026 22:56:55 -0800 Erni Sri Satya Vennela wrote:  
> > > Enhance MANA driver logging to provide better visibility into
> > > hardware configuration and error states during driver initialization
> > > and runtime operations.  
> >   
> > > +	dev_info(gc->dev, "Max Resources: msix_usable=%u max_queues=%u\n",
> > > +		 gc->num_msix_usable, gc->max_num_queues);  
> >   
> > > +	dev_info(dev, "Device Config: max_vports=%u adapter_mtu=%u bm_hostmode=%u\n",
> > > +		 *max_num_vports, gc->adapter_mtu, *bm_hostmode);  
> > 
> > IIUC in networking we try to follow the mantra that if the system is
> > functioning correctly there should be no logs. You can expose the debug
> > info via ethtool, devlink, debugfs etc. Take your pick.  
> 
> We discussed this internally and noted that customers often cannot
> reliably reproduce the VM issue. In such cases, the only evidence
> available is the dmesg logs captured during the incident. Asking them to
> re-enable debug options later is not practical, since the problem may
> not occur again. Similarly, exposing the information via ethtool,
> devlink, or debugfs is less effective because the data is transient and
> lost after a reboot. As these messages are printed only once during
> initialization, and not repeated during runtime or driver load/unload,
> we decided to keep them at info level to aid troubleshooting without
> adding noise.

You will have to build proper support tooling like every single vendor
before you. Presumably you can also log from the hypervisor side which
makes your life so much easier than supporting real HW. Yet, real
NIC don't spew random trash to the logs all the time. SMH. Respectfully,
next time y'all "discuss things internally" start with the question of
what makes your case special :|